Overview | Package | Class | Deprecated | Index | Help
| Groovy 1.7.10
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## groovy.io
[Java] Class EncodingAwareBufferedWriter

    java.lang.Object
      java.io.Writer
          java.io.BufferedWriter
              groovy.io.EncodingAwareBufferedWriter

    public class EncodingAwareBufferedWriter
    extends BufferedWriter

A buffered writer only for OutputStreamWriter that is aware of the encoding of the OutputStreamWriter.

Authors:
  Paul King

Constructor Summary
`EncodingAwareBufferedWriter(OutputStreamWriter out)`

Method Summary
`String` | `getEncoding()` The encoding as returned by the underlying OutputStreamWriter.
`String` | `getNormalizedEncoding()` The encoding as returned by the underlying OutputStreamWriter.

Methods inherited from class BufferedWriter
write, write, write, close, flush, newLine, append, append, append, append, append, append, write, write, wait, wait, wait, equals, toString, hashCode, getClass, notify, notifyAll

Methods inherited from class Writer
append, append, append, append, append, append, write, write, write, write, write, close, flush, wait, wait, wait, equals, toString, hashCode, getClass, notify, notifyAll

Methods inherited from class Object
wait, wait, wait, equals, toString, hashCode, getClass, notify, notifyAll

Constructor Detail

### EncodingAwareBufferedWriter

    public EncodingAwareBufferedWriter(OutputStreamWriter out)

Method Detail

### getEncoding

    public String getEncoding()

  The encoding as returned by the underlying OutputStreamWriter. Can be the historical name.
  Returns:
    the encoding
  See Also:
    OutputStreamWriter.getEncoding

### getNormalizedEncoding

    public String getNormalizedEncoding()

  The encoding as returned by the underlying OutputStreamWriter. Will be the preferred name.
  Returns:
    the encoding
  See Also:
    OutputStreamWriter.getEncoding

Copyright © 2003-2010 The Codehaus. All rights reserved.